package net.t2code.commandguiv2.Spigot.cmdManagement.register;

import net.t2code.commandguiv2.Spigot.Main;
import net.t2code.commandguiv2.Util;
import net.t2code.t2codelib.SPIGOT.api.debug.T2C_Debug;
import net.t2code.t2codelib.SPIGOT.api.messages.T2C_Send;
import net.t2code.t2codelib.SPIGOT.api.messages.T2C_Template;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandMap;
import org.bukkit.plugin.Plugin;

import java.lang.reflect.Field;


public class AliasRegister {
    public static void onRegister(boolean isReload) {
        Plugin plugin = Main.getPlugin();
        T2C_Debug.debug(plugin, Bukkit.getServer().getClass().getPackage().getName());
        if (Main.allAliases.toString().equals("[]")) {
            T2C_Send.sendStartTextCenter(Util.getPrefix(),"§4No GUI files available",isReload);
            return;
        }
        for (String alias : Main.allAliases) {
            if (Main.guiHashMap.get(alias) != null) {
                if (Main.guiHashMap.get(alias).commandAliasEnable) {
                    try {
                        final Field bukkitCommandMap = Bukkit.getServer().getClass().getDeclaredField("commandMap");
                        bukkitCommandMap.setAccessible(true);
                        CommandMap commandMap = (CommandMap) bukkitCommandMap.get(Bukkit.getServer());
                        commandMap.register(Main.getPlugin().getName(), new RegisterCommand(alias));
                    } catch(Exception e) {
                        e.printStackTrace();
                    }
                }
            }
        }
    }
}
