// This class was created by JaTiTV.

package net.t2code.commandguiv2.Spigot.config.gui;

import net.t2code.commandguiv2.Spigot.Main;
import net.t2code.commandguiv2.Spigot.cmdManagement.CmdExecuter_GUI;
import net.t2code.commandguiv2.Spigot.config.config.Config;
import net.t2code.commandguiv2.Spigot.objects.Function;
import net.t2code.commandguiv2.Spigot.objects.Gui;
import net.t2code.commandguiv2.Spigot.objects.Slot;
import net.t2code.commandguiv2.Util;
import net.t2code.t2codelib.SPIGOT.api.messages.T2C_Send;
import net.t2code.t2codelib.SPIGOT.api.minecraftVersion.T2C_McVersion;
import net.t2code.t2codelib.SPIGOT.api.yaml.T2C_ConfigWriter;
import net.t2code.t2codelib.util.T2C_ConfigItem;
import net.t2code.t2codelib.util.T2C_LanguageEnum;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class GuiFile {

    public enum VALUES implements T2C_ConfigItem {

        guiEnable("GUI.Enable", true, true,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        guiLines("GUI.Lines", 1, true,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),

        guiName("GUI.Name", "&5default &9GUI", true,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        guiFillItemEnable("GUI.FillItem.Enable", true, true,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        guiFillItemItem(isGlassColor() ? "GUI.FillItem.GlassPaneColor" : "GUI.FillItem.Item", isGlassColor() ? 15 : "BLACK_STAINED_GLASS_PANE", true,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),

        commandAliasEnable("Command.Alias", true, true,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        commandPermission("Command.Permission.Required", true, true,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotSection("Slots", null, true,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),

        slotDiscordNumber("Slots.SupportDiscord.Slot", 4, false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotDiscordEnable("Slots.SupportDiscord.Enable", true, false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotDiscordFunction("Slots.SupportDiscord.Function", "supportDiscord", false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotDiscordPermRequired("Slots.SupportDiscord.Permission.Required", false, false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotDiscordPermSee("Slots.SupportDiscord.Permission.See", "commandgui.gui.[function].slot.[slot].see", false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotDiscordPermUse("Slots.SupportDiscord.Permission.Use", "commandgui.gui.[function].slot.[slot].use", false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotUseItemNumber("Slots.UseItem.Slot", 6, false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotUseItemEnable("Slots.UseItem.Enable", true, false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotUseItemFunction("Slots.UseItem.Function", "useItem", false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotUseItemPermRequired("Slots.UseItem.Permission.Required", false, false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotUseItemPermSee("Slots.UseItem.Permission.See", "commandgui.gui.[function].slot.[slot].see", false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        slotUseItemPermUse("Slots.UseItem.Permission.Use", "commandgui.gui.[function].slot.[slot].use", false,
                new HashMap<>() {{
                    put(T2C_LanguageEnum.german, List.of());
                    put(T2C_LanguageEnum.english, List.of());
                }}),
        ;

        private final String path;
        private Object value;
        private final boolean forceSet;
        private final HashMap<T2C_LanguageEnum, List<String>> comments;

        VALUES(String path, Object value, boolean forceSet, HashMap<T2C_LanguageEnum, List<String>> comments) {
            this.path = path;
            this.value = value;
            this.forceSet = forceSet;
            this.comments = comments;
        }

        @Override
        public String getPath() {
            return path;
        }

        @Override
        public Object getValue() {
            return value;
        }

        @Override
        public boolean getForceSet() {
            return forceSet;
        }

        @Override
        public HashMap<T2C_LanguageEnum, List<String>> getComments() {
            return comments;
        }

        @Override
        public String getLanguagePath() {
            return Config.VALUES.language.getValue().toString();
        }

        @Override
        public void setValue(Object newValue) {
            value = newValue;
        }
    }

    private static boolean isGlassColor() {
        if (T2C_McVersion.isMc1_8() || T2C_McVersion.isMc1_9() || T2C_McVersion.isMc1_10() || T2C_McVersion.isMc1_11() || T2C_McVersion.isMc1_12()) {
            return true;
        }
        return false;
    }

    public static void createDefault(boolean isReload) {
        File file = new File(Main.getPath(), "GUIs/default.yml");
        T2C_ConfigWriter.createConfig(Util.getPrefix(), file, VALUES.values(), isReload, Util.getConfigLogo());
    }

    public static void set(boolean isReload) {
        Main.guiHashMap.clear();
        Main.allAliases.clear();
        File f = new File(Main.getPath() + "/GUIs/");
        f.mkdirs();
        File[] fileArray = f.listFiles();

        for (File file : fileArray) {
            String sub = file.getName().substring(file.getName().length() - 4);
            if (sub.equals(".yml")) {
                T2C_ConfigWriter.createConfig(Util.getPrefix(), file, VALUES.values(), isReload, Util.getConfigLogo());
                String guiName = file.getName().replace(".yml", "");
                Main.allAliases.add(guiName);

                Util.replace(VALUES.guiName);

                Gui gui = new Gui(
                        (boolean) VALUES.guiEnable.value,
                        (int) VALUES.guiLines.value,
                        VALUES.guiName.value.toString(),
                        (boolean) VALUES.guiFillItemEnable.value,
                        VALUES.guiFillItemItem.value.toString(),
                        guiName,
                        (boolean) VALUES.commandAliasEnable.value,
                        (boolean) VALUES.commandPermission.value,
                        getSlots(file, guiName));
                Main.guiHashMap.put(guiName, gui);
                CmdExecuter_GUI.arg1.put(file.getName()
                        .replace(".yml", ""), "commandgui.gui." + guiName);
            }
        }
    }

    private static ArrayList<Slot> getSlots(File file, String guiName) {
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(file);
        ArrayList<Slot> slots = new ArrayList<>();
        for (String key : yamlConfiguration.getConfigurationSection(VALUES.slotSection.getPath()).getKeys(false)) {
            int slotNumber = yamlConfiguration.getInt("Slots." + key + ".Slot") - 1;
            Boolean enable = yamlConfiguration.getBoolean("Slots." + key + ".Enable");
            String function = yamlConfiguration.getString("Slots." + key + ".Function");
            Function functionCheck = Main.functionHashMap.get(function);
            if (functionCheck == null) {
                T2C_Send.error(Main.getPlugin(), "The Function " + function + " in the GUI " + guiName + " does not exist!");
            }
            Boolean permRequired = yamlConfiguration.getBoolean("Slots." + key + ".Permission.Required");
            String permSee = yamlConfiguration.getString("Slots." + key + ".Permission.See");
            String permUse = yamlConfiguration.getString("Slots." + key + ".Permission.Use");

            Slot slot = new Slot(slotNumber, enable, function, permRequired,
                    permSee.replace("[function]", guiName).replace("[slot]", String.valueOf(slotNumber + 1))
                            .replace("[slotname]", key.toLowerCase()),
                    permUse.replace("[function]", guiName).replace("[slot]", String.valueOf(slotNumber + 1))
                            .replace("[slotname]", key.toLowerCase()));
            slots.add(slot);
        }
        return slots;
    }
}
