package net.t2code.commandguiv2.Spigot.useItem;

import net.t2code.commandguiv2.Spigot.Main;
import net.t2code.commandguiv2.Spigot.config.config.Config;
import net.t2code.t2codelib.SPIGOT.api.debug.T2C_Debug;
import net.t2code.t2codelib.SPIGOT.system.T2C_Main;
import org.bukkit.entity.Player;
import org.bukkit.scheduler.BukkitRunnable;

public class ItemChange {
    public static void itemChange(Player player, Boolean setCursor) {
        Integer slot;
        if ((boolean)Config.VALUES.useItemInventorySlotEnforce.getValue()) {
            slot = (int)Config.VALUES.useItemInventorySlot.getValue();
        } else {
            slot = Events.useItemSlotHashMap.get(player.getName());
        }

        if (!(boolean)Config.VALUES.useItemEnable.getValue()) {
            return;
        }
        UseItem.removeItem(player);
        if (UseItem.protection(player, false)) return;
        if ((boolean) Config.VALUES.useItemGiveOnlyOnFirstJoin.getValue()) {
            if (!(boolean) Config.VALUES.useItemAllowToggle.getValue() || Events.useItemHashMap.get(player.getName())) {
                if (!player.hasPlayedBefore()) {
                    new BukkitRunnable() {
                        @Override
                        public void run() {
                            UseItem.giveUseItem(player);
                            if (setCursor) {
                                setCursor(player, slot);
                            }
                        }
                    }.runTaskLater(Main.getPlugin(), 1L * 1);
                    if ((boolean)Config.VALUES.cursorToGUIItemOnlyOnFirstLogin.getValue() || (boolean)Config.VALUES.cursorToGUIItemOnLogin.getValue()) {
                        player.getInventory().setHeldItemSlot(slot - 1);
                    }
                }
            }
            T2C_Debug.debug(Main.getPlugin(), "GiveOnlyOnFirstJoin: " + player.getName());
            return;
        }
        if (!(boolean)Config.VALUES.useItemGiveOnEveryJoin.getValue()) {
            T2C_Debug.debug(Main.getPlugin(), "!GiveOnEveryJoin: " + player.getName());
            return;
        }
        new BukkitRunnable() {
            @Override
            public void run() {
                Boolean pln = Events.useItemHashMap.get(player.getName());
                if (pln == null) return;
                if (!(boolean) Config.VALUES.useItemAllowToggle.getValue() || pln) {
                    if ((boolean) Config.VALUES.useItemInventorySlotEnforce.getValue() || player.getInventory().getItem(slot - 1) == null) {
                        T2C_Debug.debug(Main.getPlugin(), "Give: " + player.getName());
                        UseItem.giveUseItem(player);
                        if (setCursor) {
                            setCursor(player, slot);
                        }
                    } else if ((boolean) Config.VALUES.useItemInventorySlotFreeSlot.getValue()) {
                        boolean empty = false;
                        for (int i = 0; i < 9; i++) {
                            if (player.getInventory().getItem(i) == null) {
                                empty = true;
                                break;
                            }
                        }
                        if (empty) {
                            UseItem.addUseItem(player);
                        }
                    }
                }
            }
        }.runTaskLater(Main.getPlugin(), 1L * 1);
    }

    private static void setCursor(Player player, int slot) {
        T2C_Debug.debug(Main.getPlugin(), "setCursor 1 Player: " + player.getName());

        if (!(boolean)Config.VALUES.cursorToGUIItemOnLogin.getValue()) {
            return;
        }
        T2C_Debug.debug(Main.getPlugin(), "setCursor 2 Player: " + player.getName());
        if ((boolean)Config.VALUES.cursorToGUIItemOnlyOnFirstLogin.getValue()) {
            if (!player.hasPlayedBefore()) {
                player.getInventory().setHeldItemSlot(slot - 1);
                T2C_Debug.debug(Main.getPlugin(), "setCursor 3 Player: " + player.getName());
            }
            return;
        }
        T2C_Debug.debug(Main.getPlugin(), "setCursor 4 Player: " + player.getName());
        if (!T2C_Main.isBungee()) {
            player.getInventory().setHeldItemSlot(slot - 1);
            T2C_Debug.debug(Main.getPlugin(), "setCursor 5 Player: " + player.getName());
            return;
        }
        T2C_Debug.debug(Main.getPlugin(), "setCursor 6 Player: " + player.getName());
        if ((boolean)Config.VALUES.cursorUseItemServerChange.getValue()) {
            player.getInventory().setHeldItemSlot(slot - 1);
            T2C_Debug.debug(Main.getPlugin(), "setCursor 7 Player: " + player.getName());
            return;
        }
        T2C_Debug.debug(Main.getPlugin(), "setCursor 8 Player: " + player.getName());
        T2C_Debug.debug(Main.getPlugin(), "setCursor bungeejoinplayers: " + Main.proxyJoinPlayers);
        T2C_Debug.debug(Main.getPlugin(), "setCursor Player: " + player.getName());
        if (Main.proxyJoinPlayers.contains(player.getName())) {
            player.getInventory().setHeldItemSlot(slot - 1);
            T2C_Debug.debug(Main.getPlugin(), "setCursor 9 Player: " + player.getName());
            Main.proxyJoinPlayers.remove(player.getName());
        }
    }
}
